### Method

# Gio FileInfo get_deletion_date

since: 2.36

#### Declaration

    GDateTime*
    g_file_info_get_deletion_date (
      GFileInfo* info
    )

#### Description

Returns the `GDateTime` representing the deletion date of the file, as available in `G_FILE_ATTRIBUTE_TRASH_DELETION_DATE`. If the `G_FILE_ATTRIBUTE_TRASH_DELETION_DATE` attribute is unset, `NULL` is returned.

Available since: 2.36

#### Return value

Type: `GDateTime`

A `GDateTime`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.